Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.sys
Class TeamList

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.Importable
                  |
                  +--edu.utah.janosvm.sys.TeamList

public final class TeamList
extends Importable

An Importable for TeamListBackEnd that just provides a path for callbacks. NOTE: This is final since we don't want to require the library writer to export their classes from the kernel. And, otherwise, the kernel would be calling non-kernel code, ick.

Field Summary
`static java.lang.String` | `exportID` The name of the TeamListBackEnd object exported by the kernel.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`TeamList()`

Method Summary
`protected void` | `bindTo(Exportable ex)` Bind this Importable to the given Exportable.
`void` | `event(TeamReservation tr, TeamEvent ev)` Callback for handling events related to teams.
`TeamListHandler` | `getTeamListHandler()`
`void` | `listen()` Use this object to import the kernel's TeamListBackEnd.
`void` | `setTeamListHandler(TeamListHandler tlh)`
`java.lang.String` | `toString()`
`protected void` | `unbindFrom()` Unbind this Importable from any objects its referencing.

Methods inherited from class edu.utah.janosvm.sys.Importable
`copy, finalize, revoke`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exportID

    public static java.lang.String exportID

  The name of the TeamListBackEnd object exported by the kernel.

Constructor Detail

### TeamList

    public TeamList()

Method Detail

### bindTo

    protected final void bindTo(Exportable ex)

  Description copied from class: Importable
  Bind this Importable to the given Exportable. The most common implementation of this method would be to cast the Exportable to the type that the Importable subclass handles and store it in the object as well as any other handy pointers/values.
  Overrides:
    bindTo in class Importable
  Tags copied from class: Importable
  Parameters:
    `ex` - The Exportable that is being imported.

### unbindFrom

    protected final void unbindFrom()

  Description copied from class: Importable
  Unbind this Importable from any objects its referencing. The most common implementation of this method would be null out any object references in this object.
  Overrides:
    unbindFrom in class Importable

### setTeamListHandler

    public void setTeamListHandler(TeamListHandler tlh)

  Parameters:
    `tlh` - The call back that will handle any team events.

### getTeamListHandler

    public TeamListHandler getTeamListHandler()

  Returns:
    The call back that will handle any team events.

### listen

    public void listen()

  Use this object to import the kernel's TeamListBackEnd.

### event

    public void event(TeamReservation tr,
                      TeamEvent ev)

  Callback for handling events related to teams. NOTE: This is called in the context of the kernel so you must use the provided TeamReservation if you want to do anything in the Importables team.
  Parameters:
    `tr` - A TeamReservation thats reserved the team that `this' is in.
    `ev` - The TeamEvent object that describes the event that occurred.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class Importable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002